Bug 613456 - [abrt] crash in gourmet-0.15.4-1.fc12: BeautifulSoup.py:422:__getattr__:AttributeError: 'NavigableString' object has no attribute 'name'
Summary: [abrt] crash in gourmet-0.15.4-1.fc12: BeautifulSoup.py:422:__getattr__:Attri...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:49065710
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-11 18:55 UTC by Robert Kief
Modified: 2010-09-06 23:55 UTC (History)
2 users (show)

Fixed In Version: gourmet-0.15.4-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:44:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.49 KB, text/plain)
2010-07-11 18:55 UTC, Robert Kief
no flags Details

Description Robert Kief 2010-07-11 18:55:56 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gourmet
comment: I opened the "Import webpage" feature and copied the URL into the blank.  The import seemed to progress normally, but the import results page didn't open and the error message appeared.  Sometimes the error message never did appear, but the results page never did appear.
component: gourmet
executable: /usr/bin/gourmet
kernel: 2.6.32.14-127.fc12.x86_64
package: gourmet-0.15.4-1.fc12
reason: BeautifulSoup.py:422:__getattr__:AttributeError: 'NavigableString' object has no attribute 'name'
release: Fedora release 12 (Constantine)

backtrace
-----
BeautifulSoup.py:422:__getattr__:AttributeError: 'NavigableString' object has no attribute 'name'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gourmet/importers/importManager.py", line 103, in finish_web_import
    self.do_import(plugin,'get_web_importer',reader.url,reader.data,reader.content_type)
  File "/usr/lib/python2.6/site-packages/gourmet/importers/importManager.py", line 160, in do_import
    importer = getattr(importer_plugin,method)(*method_args)
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/import_export/web_import_plugin/generic_web_importer_plugin.py", line 41, in get_web_importer
    return importer(url,data,content_type)
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/import_export/web_import_plugin/webpage_importer.py", line 41, in __init__
    self.preparse()
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/import_export/web_import_plugin/webpage_importer.py", line 220, in preparse
    self.cut_menus()
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/import_export/web_import_plugin/webpage_importer.py", line 233, in cut_menus
    if menu.name == 'body': continue
  File "/usr/lib/python2.6/site-packages/gourmet/plugins/import_export/web_import_plugin/BeautifulSoup.py", line 422, in __getattr__
    raise AttributeError, "'%s' object has no attribute '%s'" % (self.__class__.__name__, attr)
AttributeError: 'NavigableString' object has no attribute 'name'

Local variables in innermost frame:
self: u'Sitemap'
attr: 'name'

How to reproduce
-----
1.  Open import a web page
2.  Copy link into URL blank
3.  Execute import
4.  "Import" finishes, but nothing else happens
5.  Error message or nothing imported

Comment 1 Robert Kief 2010-07-11 18:55:59 UTC
Created attachment 431018 [details]
File: backtrace

Comment 2 Jef Spaleta 2010-07-11 21:47:52 UTC
Hey,

Can you install this patched gourmet and tell me if it works for you?

http://koji.fedoraproject.org/koji/taskinfo?taskID=2312090

-jef

Comment 3 Jef Spaleta 2010-07-12 16:24:37 UTC
oops, sorry that was the wrong build. That was the same as the version you already have installed.


Install the noarch rpm from this is the updated build
http://koji.fedoraproject.org/koji/taskinfo?taskID=2313649

Comment 4 Fedora Update System 2010-07-12 16:50:46 UTC
gourmet-0.15.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gourmet-0.15.4-4.fc12

Comment 5 Fedora Update System 2010-07-13 07:32:37 UTC
gourmet-0.15.4-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gourmet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gourmet-0.15.4-4.fc12

Comment 6 Fedora Update System 2010-08-17 05:43:59 UTC
gourmet-0.15.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Sean Sheedy 2010-09-06 23:50:52 UTC
I just experienced this crash with gourmet-0.15.4-4.fc13.

Comment 8 Sean Sheedy 2010-09-06 23:55:32 UTC
This bug reproduces every time attempting to import:

http://amazingribs.com/recipes/rubs_pastes_marinades_and_brines/meatheads_magic_dust.html


Note You need to log in before you can comment on or make changes to this bug.